SDL_EnableUNICODE(3)

NAME
SDL_EnableUNICODE- Enable UNICODE translation

SYNOPSIS

#include "SDL.h"

int SDL_EnableUNICODE(int enable);

DESCRIPTION

Enables/Disables UNICODE keyboard translation.

If you wish to translate a keysym to it's printable representation, you need to enable UNICODE translation using this function (enable=0) and then look in the unicode member of the SDL_keysym structure. This value will be zero for keysyms that do not have a printable representation. UNICODE translation is disabled by default as the conversion can cause a slight overhead.

RETURN VALUE

Returns the previous translation mode.

SEE ALSO

SDL_keysym